

# DeleteProvisioningTemplateVersion
<a name="API_DeleteProvisioningTemplateVersion"></a>

Deletes a provisioning template version.

Requires permission to access the [DeleteProvisioningTemplateVersion](https://docs.amazonaws.cn/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_DeleteProvisioningTemplateVersion_RequestSyntax"></a>

```
DELETE /provisioning-templates/templateName/versions/versionId HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteProvisioningTemplateVersion_RequestParameters"></a>

The request uses the following URI parameters.

 ** [templateName](#API_DeleteProvisioningTemplateVersion_RequestSyntax) **   <a name="iot-DeleteProvisioningTemplateVersion-request-uri-templateName"></a>
The name of the provisioning template version to delete.  
Length Constraints: Minimum length of 1. Maximum length of 36.  
Pattern: `^[0-9A-Za-z_-]+$`   
Required: Yes

 ** [versionId](#API_DeleteProvisioningTemplateVersion_RequestSyntax) **   <a name="iot-DeleteProvisioningTemplateVersion-request-uri-versionId"></a>
The provisioning template version ID to delete.  
Required: Yes

## Request Body
<a name="API_DeleteProvisioningTemplateVersion_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteProvisioningTemplateVersion_ResponseSyntax"></a>

```
HTTP/1.1 200
```

## Response Elements
<a name="API_DeleteProvisioningTemplateVersion_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors
<a name="API_DeleteProvisioningTemplateVersion_Errors"></a>

 ** ConflictingResourceUpdateException **   
A conflicting resource update exception. This exception is thrown when two pending updates cause a conflict.    
 ** message **   
The message for the exception.
HTTP Status Code: 409

 ** DeleteConflictException **   
You can't delete the resource because it is attached to one or more resources.    
 ** message **   
The message for the exception.
HTTP Status Code: 409

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request is not valid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** UnauthorizedException **   
You are not authorized to perform this operation.    
 ** message **   
The message for the exception.
HTTP Status Code: 401

## See Also
<a name="API_DeleteProvisioningTemplateVersion_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iot-2015-05-28/DeleteProvisioningTemplateVersion) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iot-2015-05-28/DeleteProvisioningTemplateVersion) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iot-2015-05-28/DeleteProvisioningTemplateVersion) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iot-2015-05-28/DeleteProvisioningTemplateVersion) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iot-2015-05-28/DeleteProvisioningTemplateVersion) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iot-2015-05-28/DeleteProvisioningTemplateVersion) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iot-2015-05-28/DeleteProvisioningTemplateVersion) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iot-2015-05-28/DeleteProvisioningTemplateVersion) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iot-2015-05-28/DeleteProvisioningTemplateVersion) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iot-2015-05-28/DeleteProvisioningTemplateVersion) 